/* This routine gives the improved estimator of the magnetization
   squared, which is the average size of the flipped clusters.
   A histogram of the cluster sizes is also produced.
*/

#include "comext.h"
#include <stdio.h>
#include <math.h>

Wmeasure()
{
   int i,j,n;

   mag[1] = (double)cluster_size / volume;

   energy[1] = energy[0];

   ns[cluster_size-1] ++;
}
